Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587320 - Review Request: gnome-icon-theme-symbolic - Symbolic GNOME icons
Review Request: gnome-icon-theme-symbolic - Symbolic GNOME icons
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 11:32 EDT by Bastien Nocera
Modified: 2010-05-21 11:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-21 11:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2010-04-29 11:32:43 EDT
Spec URL: http://people.fedoraproject.org/~hadess/gnome-icon-theme-symbolic/gnome-icon-theme-symbolic.spec
SRPM URL: http://people.fedoraproject.org/~hadess/gnome-icon-theme-symbolic/gnome-icon-theme-symbolic-2.30.0-1.fc12.src.rpm
Description: 
This package contains symbolic icons for use by the GNOME desktop.

Built package at:
http://people.fedoraproject.org/~hadess/gnome-icon-theme-symbolic/gnome-icon-theme-symbolic-2.30.0-1.fc12.noarch.rpm

The spec is the exact same as gnome-icon-theme-extras, which already passed review.
Comment 1 Matthias Clasen 2010-04-29 14:44:06 EDT
Note that gnome-icon-theme in rawhide does not have the scalable directories in index.theme, since I've kicked out all our non-upstream additions. You probably want to fix that both upstream and in rawhide.
Comment 2 Matthias Clasen 2010-04-29 16:31:12 EDT
Some more informal comments:

Requires(posttrans): gtk2 >= 2.6.2
Requires(postun): gtk2 >= 2.6.2

I believe we generally don't add this as a dep (thats one of the reasons for the ||: construct)



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

The rm -rf is no longer needed in %install



%clean
rm -rf $RPM_BUILD_ROOT

And neither is %clean
Comment 4 Matthias Clasen 2010-05-20 00:45:26 EDT
builds fine in mock
rpmlint output:
rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/gnome-icon-theme-symbolic-2.30.0-2.fc14.noarch.rpm 
gnome-icon-theme-symbolic.noarch: W: no-url-tag
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license file: ok
license field: ok
spec language : ok
spec legibility: ok
upstream sources : ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok
shared libs: ok
system libs: ok
relocatable: no
directory ownership: ok
duplicate files: ok
file permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
headers: ok
static libs: ok
shared libs: ok
base package: ok
pkg-config files: ok
libtool archives: ok
directory ownership: ok
utf8 filenames: ok

Approved
gui apps: ok
Comment 5 Bastien Nocera 2010-05-21 09:18:08 EDT
New Package CVS Request
=======================
Package Name: gnome-icon-theme-symbolic
Short Description: Symbolic GNOME icons
Owners: hadess
Branches: F-13
Comment 6 Dennis Gilmore 2010-05-21 11:18:26 EDT
CVS Done
Comment 7 Bastien Nocera 2010-05-21 11:34:42 EDT
Built in rawhide, thanks.

gnome-icon-theme-symbolic-2.30.0-3.fc14

Note You need to log in before you can comment on or make changes to this bug.